Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## JavaBeans
Class Coffee_Data

    java.lang.Object
      JavaBeans.Coffee_Data

public class Coffee_Data
extends java.lang.Object

Author:
  student This class is being used for holding all the information realting to coffee types.

Field Summary
`private java.lang.String` | `description`
`private java.lang.String` | `itemCode`
`private double` | `price`
`private java.lang.String` | `size`
`private java.lang.String` | `type`

Constructor Summary
`Coffee_Data()` This is the constructor for Coffee_Data.java
`Coffee_Data(java.lang.String code, java.lang.String type, java.lang.String size, double p, java.lang.String desc)` This is the constructor for Coffee_Data.java

Method Summary
`java.lang.String` | `getDescription()` This method is being used for getting the description field.
`java.lang.String` | `getItemCode()` This method is being used for getting the itemcode field.
`double` | `getPrice()` This method is being used for getting the price field.
`java.lang.String` | `getServiceCode()` This method is being used for getting the servicecode field.
`java.lang.String` | `getServiceRequest()` This method is being used for getting the servicerequest.
`java.lang.String` | `getServiceResponse()` This method is being used for getting the serviceresponse.
`java.lang.String` | `getSize()` This method is being used for getting the size field.
`java.lang.String` | `getType()` This method is being used for getting the type field.
`void` | `setDescription(java.lang.String desc)` This method is being used for setting the description field.
`void` | `setItemCode(java.lang.String itemCode)` This method is being used for setting the itemcode field.
`void` | `setSize(java.lang.String size)` This method is being used for setting the size field.
`void` | `setType(java.lang.String type)` This method is being used for setting the type field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    private java.lang.String description

### itemCode

    private java.lang.String itemCode

### price

    private double price

### size

    private java.lang.String size

### type

    private java.lang.String type

Constructor Detail

### Coffee_Data

    public Coffee_Data()

  This is the constructor for Coffee_Data.java

### Coffee_Data

    public Coffee_Data(java.lang.String code,
                       java.lang.String type,
                       java.lang.String size,
                       double p,
                       java.lang.String desc)

  This is the constructor for Coffee_Data.java

Method Detail

### getDescription

    public java.lang.String getDescription()

  This method is being used for getting the description field.

  Returns:
    String Coffee description.

### getItemCode

    public java.lang.String getItemCode()

  This method is being used for getting the itemcode field.

  Returns:
    String Coffee item code.

### getPrice

    public double getPrice()

  This method is being used for getting the price field.

  Returns:
    double Coffee price.

### getServiceCode

    public java.lang.String getServiceCode()

  This method is being used for getting the servicecode field.

  Returns:
    String Coffee service code.

### getServiceRequest

    public java.lang.String getServiceRequest()

  This method is being used for getting the servicerequest.

  Returns:
    String Coffee service request.

### getServiceResponse

    public java.lang.String getServiceResponse()

  This method is being used for getting the serviceresponse.

  Returns:
    String Coffee service response.

### getSize

    public java.lang.String getSize()

  This method is being used for getting the size field.

  Returns:
    String Coffee size.

### getType

    public java.lang.String getType()

  This method is being used for getting the type field.

  Returns:
    String Type of coffee.

### setDescription

    public void setDescription(java.lang.String desc)

  This method is being used for setting the description field.

  Parameters:
    `desc` - Coffee description.
  Returns:
    void

### setItemCode

    public void setItemCode(java.lang.String itemCode)

  This method is being used for setting the itemcode field.

  Parameters:
    `itemCode` - Coffee item code.
  Returns:
    void

### setSize

    public void setSize(java.lang.String size)

  This method is being used for setting the size field.

  Parameters:
    `size` - Coffee size.
  Returns:
    void

### setType

    public void setType(java.lang.String type)

  This method is being used for setting the type field.

  Parameters:
    `type` - Type of coffee.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD